getest |

## Description

Execute getest.

## Parameters

config
  Description: Name of configuration file

  Domain: Valid filename pointing to existing file

  Default: -

compile
  Description: compile

  Domain: Optional compilation command

  Default: -

class
  Description: Regular expression to determine names of classes wich will be included into test suite. Note that this overrides the corresponding value in the configuration file.

  Domain: Valid regular expression

  Default: -

feature
  Description: Regular expression to determine names of features of classes preselected by class to be tested. Note that this overrides the corresponding value in the configuration file.

  Domain: Valid regular expression

  Default: -

default_test
  Description: Specify whether the feature `default_test` should be included in the generated test cases.

  Domain: Boolean (true|false)

  Default: false

generation
  Description: TBD

  Domain: TBD

  Default: TBD

compilation
  Description: TBD

  Domain: TBD

  Default: TBD

execution
  Description: TBD

  Domain: TBD

  Default: TBD

abort
  Description: TBD

  Domain: Boolean (true|false)

  Default: false

verbose
  Description: verbose

  Domain: Boolean (true|false)

  Default: false

## RNG Specification

      <define name="getest">
        <element name="getest">
          <ref name="dir_if_unless"/>
          <attribute name="config"/>
          <optional>
            <attribute name="compile"/>
          </optional>
          <optional>
            <attribute name="class"/>
          </optional>
          <optional>
            <attribute name="feature"/>
          </optional>
          <optional>
            <attribute name="default_test"/>
          </optional>
          <optional>
            <attribute name="generation"/>
          </optional>
          <optional>
            <attribute name="compilation"/>
          </optional>
          <optional>
            <attribute name="execution"/>
          </optional>
          <optional>
            <attribute name="abort"/>
          </optional>
          <optional>
            <attribute name="verbose"/>
          </optional>
          <zeroOrMore>
            <ref name="define"/>
          </zeroOrMore>
        </element>
      </define>

## Examples

      <getest
        config="${system_dir}/getest.cfg"
        compile="geant -b ${system_dir}/build.eant compile${debug_suffix}_${eiffel} &gt; compilation_log.txt 2&gt;&amp;1"
      >
        <define name="debug" value="true" if="${debug}"/>
      </getest>